import request from '@/utils/request'

// 查询调价管理列表
export function listModifyPrice(query) {
  return request({
    url: '/inventory/modifyPrice/list',
    method: 'get',
    params: query
  })
}

// 查询调价管理详细
export function getModifyPrice(id) {
  return request({
    url: '/inventory/modifyPrice/' + id,
    method: 'get'
  })
}

// 新增调价管理
export function addModifyPrice(data) {
  return request({
    url: '/inventory/modifyPrice',
    method: 'post',
    data: data
  })
}

// 修改调价管理
export function updateModifyPrice(data) {
  return request({
    url: '/inventory/modifyPrice',
    method: 'put',
    data: data
  })
}

// 删除调价管理
export function delModifyPrice(id) {
  return request({
    url: '/inventory/modifyPrice/' + id,
    method: 'delete'
  })
}

// 导出调价管理
export function exportModifyPrice(query) {
  return request({
    url: '/inventory/modifyPrice/export',
    method: 'get',
    params: query
  })
}

//查看调配数量
export function sumStock(query) {
  return request({
    url: '/inventory/inventory/getSumStock',
    method: "get",
    params: query
  })
}

//记账
export function updataKeeping(id) {
  return request({
    url: '/inventory/modifyPrice/keeping/' + id,
    method: 'put',
  })
}